### Property

# St Adjustment:upper

#### Declaration

    property upper: double [ read, write, construct ]

#### Description [src]

The maximum value of the adjustment.

Note that values will be restricted by `upper - page-size` if `StAdjustment:page-size` is non-zero.

Type:`gdouble`

Default value | 0.000000
Getter method | `st_adjustment_get_upper()`
Setter method | `st_adjustment_set_upper()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no